libpmi2-0_18.08.5.2-1_i386.deb


Advertisement

Description

libpmi2-0 - SLURM PMI2 library implementation

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libpmi2-0_18.08.5.2-1_i386.deb
Package name libpmi2-0
Package version 18.08.5.2
Package release 1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://slurm.schedmd.com
License -
Maintainer Debian HPC Team <debian-hpc@lists.debian.org>
Download size 34.66 KB
Installed size 119.00 KB
SLURM, the Simple Linux Utility for Resource Management,
is an open-source cluster resource management and job scheduling.
This package contains the SLURM PMI2 runtime implementation.

Alternatives

Package Version Architecture Repository
libpmi2-0_18.08.5.2-1_amd64.deb 18.08.5.2 amd64 Debian Main
libpmi2-0 - - -

Requires

Name Value
libc6 >= 2.7

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libpmi2-0_18.08.5.2-1_i386.deb
Source Package slurm-llnl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpmi2-0 deb package:
    # sudo apt-get install libpmi2-0

Files

Path
/usr/lib/i386-linux-gnu/libpmi2.so.0
/usr/lib/i386-linux-gnu/libpmi2.so.0.0.0
/usr/share/doc/libpmi2-0/changelog.Debian.gz
/usr/share/doc/libpmi2-0/copyright
/usr/share/lintian/overrides/libpmi2-0

Changelog

2019-02-17 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (18.08.5.2-1) unstable; urgency=medium
* New upstream release fixes CVE-2019-6438 (Closes: #920997)
* debian/patches/man-pages-typos: removed, applied upstream
* Add Build-Depends-Package field to symbol files
* Handling slurm user inside the plugin package as suggested by
Karl Kornel (Closes: #850891)
* Allow using a slurm user with a different UID if created before
installation (Closes: #851103)
* Move pid files under /run (Closes: #885759)
* Change static libs strip options for standard version 4.3.0
* Fix a typo in the perl code
* Remove rc4 symlink creation in slurmdbd.postinst
* Update service files to sync with upstream
* Update init scripts with the new pid files
* Remove init scripts symlinks for old SlurmdSpoolDir and StateSaveLocation
* Sync configurators with upstream
* Bump debhelper compat level to 11
* Remove --without-blcr configure option not needed anymore
* Add libfreeipmi-dev build dependency to enable freeipmi support
* Remove old d/NEWS file
2018-10-24 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (18.08.3-1) unstable; urgency=medium
* New upstream release
* Update libslurm33.symbols
2018-10-23 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (18.08.2-1) unstable; urgency=medium
* New upstream release
* Fix sacct test script (Closes: #910886)
2018-10-08 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (18.08.1-1) unstable; urgency=medium
* New upstream release (Closes: #909653)
* Update libslurm{,db} symbols file to soname 33
* Modifiy the mail patch since /usr/bin/mail is now supported upstream
* Refresh patches and remove parts included upstream
* Update d/copyright
* Update html configurators
* Fix typos in the some man pages
* Update simple configuration files
* Remove unused cgroup release agent script
2018-08-10 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (17.11.9-1) unstable; urgency=medium
* New upstream release
* Bump standard version to 4.2.0
Passing verbose options to commands in d/rules
* Update libslurm32.symbols
2018-07-27 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (17.11.8-1) unstable; urgency=medium
* New upstream release
* Bump standard version to 4.1.5 (no changes)
* Update html configurators
* Update libslurm32 symbols file
* Disable pdf and ttf compression to improve html doc usability
* Add man2html dependency to enable html man pages in doc
* Add libssh2 dependency to enable native X11 forwarding
* Add libcurl dependency to build jobcomp/elasticsearch plugin
* Add lz4 dependency to enable lz4 compression to sbcast
2018-06-06 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (17.11.7-1) unstable; urgency=high
* New upstream release fixes CVE-2018-10995
2018-05-22 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (17.11.6-1) unstable; urgency=medium
* New upstream release
* Update Vcs info with the new salsa.d.o git repo
* Change Maintainer to HPC Team
* Add Gennaro Oliva as Uploader
* Bump standard version to 4.1.4 (no changes)
* Rename the header files directory to slurm (Closes: #887924)
2018-03-17 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (17.11.5-1) unstable; urgency=medium
[ Mehdi Dogguy ]
* Add an empty /etc/slurm-llnl/plugstack.conf.d directory for plugin
configuration and associated configuration file plugstack.conf
[ Gennaro Oliva ]
* Bump debhelper compat level to 10
* Bump standard version to 4.1.3
* Delete old transitional packages' files
* New upstream release fixes CVE-2018-7033
* Update libslurm{,db}32 symbols files
* Fix slurmdbd.conf.5 and slurm.conf.5 man pages
* Fix a typo in the mpiexec wrapper man page

See Also

Package Description
libpmi2-pmix_3.1.2-3_i386.deb OpenMPI implementation of the PMI v2 library
libpmix-dev_3.1.2-3_i386.deb Development files for the PMI Exascale library
libpmix2_3.1.2-3_i386.deb Process Management Interface (Exascale) library
libpmount-dev_0.0.18-1_i386.deb portable mount library - development files
libpmount0_0.0.18-1_i386.deb portable mount library - shared library
libpng++-dev_0.2.9-2_all.deb C++ interface to the PNG (Portable Network Graphics) library
libpng-dev_1.6.36-5_i386.deb PNG library - development (version 1.6)
libpng-sixlegs-java-doc_2.0-3_all.deb Documentation for Sixlegs Java PNG Decoder
libpng-sixlegs-java_2.0-3_all.deb Sixlegs Java PNG Decoder
libpng-tools_1.6.36-5_i386.deb PNG library - tools (version 1.6)
libpng16-16_1.6.36-5_i386.deb PNG library - runtime (version 1.6)
libpnglite-dev_0.1.17-2_i386.deb lightweight C library for loading and writing PNG images
libpnglite0_0.1.17-2_i386.deb lightweight C library for loading and writing PNG images
libpocketsphinx-dev_0.8+5prealpha+1-2+b2_i386.deb Speech recognition tool - front-end library development files
libpocketsphinx3_0.8+5prealpha+1-2+b2_i386.deb Speech recognition tool - front-end library
Advertisement
Advertisement